Subject: bug#40489: closed (Re: bug#35591: Segfault on flatpak remote-add)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 May 2020 05:27:02 +0000

Your bug report

#35591: flatpak segfaults

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35591: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35591
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35591: Segfault on flatpak remote-add
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: Jonathan Frederickson <[email-masked]>
Date: Thu, 14 May 2020 07:26:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> I reported this here:
>
>     https://github.com/flatpak/flatpak/issues/3612
>
> I’d say we close this issue here, because the segfault isn’t our fault.

Upstream has acknowledged and addressed the bug.

Closing.

-- 
Ricardo

Subject: flatpak segfaults
From: [email-masked]
To: [email-masked]
Date: Tue, 07 Apr 2020 15:24:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey buddy, I tried running flatpak on a freshly installed Guix system (today) and for some reason it segfaults when I try to add the flathub repo. I was told to report the bug to you.

I've attached the command output, Flatpak version is 1.4.3.

It also complains about XDG_DATA_DIRS as you can see, but not sure yet if that affects usage or not. It's possible I installed it wrong, but was generally told that "guix install flatpak" is all that is need for it to work. I'd like flatpaks to be installed for all users on the system, but not yet sure if that's feasible.

Thank you!